package cn.timer.api.bean.crm;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;

/**
 * Title: 客户跟进动态日志表
 *
 * @Description:
 * @author wuqingjun
 * @date 2023年7月31日
 * @version 1.0
 */

@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "crm_client_log")
@ApiModel("客户跟进动态日志表")
public class CrmClientLog extends Model<CrmClientLog> {

	private static final long serialVersionUID = -7362549097557018582L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "客户数据id")
	private Integer cid;

	@ApiModelProperty(value = "变更前客户数据状态")
	private Integer beforeClientStatus;

	@ApiModelProperty(value = "变更后客户数据状态")
	private Integer afterClientStatus;

	@ApiModelProperty(value = "创建人")
	private Integer createUser;

	@ApiModelProperty(value = "企业id")
	private Integer orgCode;

	@ApiModelProperty(value = "创建人姓名")
	private String createUserName;

	@ApiModelProperty(value = "备注")
	private String remark;

	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

}
